org.apache.hc.core5.testing.framework

## Class TestingFrameworkRequestHandler

- java.lang.Object
- - org.apache.hc.core5.testing.framework.TestingFrameworkRequestHandler

- All Implemented Interfaces:
    HttpRequestHandler

      public class TestingFrameworkRequestHandler
      extends Object
      implements HttpRequestHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Object>` | `desiredResponse`
    `protected Map<String,Object>` | `requestExpectations`
    `protected Throwable` | `thrown`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestingFrameworkRequestHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assertNothingThrown()` After the handler returns the response, any exception or failed assertion will be in the member called "thrown".
    `void` | `handle(ClassicHttpRequest request, ClassicHttpResponse response, HttpContext context)` Checks the HTTP request against the requestExpectations that it was previously given.
    `void` | `setDesiredResponse(Map<String,Object> desiredResponse)` Sets the desired response.
    `void` | `setRequestExpectations(Map<String,Object> requestExpectations)` Sets the request expectations.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### thrown

          protected Throwable thrown

    - #### requestExpectations

          protected Map<String,Object> requestExpectations

    - #### desiredResponse

          protected Map<String,Object> desiredResponse

  - ### Constructor Detail

    - #### TestingFrameworkRequestHandler

          public TestingFrameworkRequestHandler()

  - ### Method Detail

    - #### setRequestExpectations

          public void setRequestExpectations(Map<String,Object> requestExpectations)
                                      throws TestingFrameworkException

      Sets the request expectations.
      Parameters:
        `requestExpectations` - the expected values of the request.
      Throws:
        `TestingFrameworkException`

    - #### setDesiredResponse

          public void setDesiredResponse(Map<String,Object> desiredResponse)
                                  throws TestingFrameworkException

      Sets the desired response. The handler will return a response that matches this.
      Parameters:
        `desiredResponse` - the desired response.
      Throws:
        `TestingFrameworkException`

    - #### assertNothingThrown

          public void assertNothingThrown()
                                   throws TestingFrameworkException

      After the handler returns the response, any exception or failed assertion will be in the member called "thrown". A testing framework can later call this method which will rethrow the exception that was thrown before.
      Throws:
        `TestingFrameworkException`

    - #### handle

          public void handle(ClassicHttpRequest request,
                             ClassicHttpResponse response,
                             HttpContext context)
                      throws HttpException,
                             IOException

      Checks the HTTP request against the requestExpectations that it was previously given. If there is a mismatch, an exception will be saved in the "thrown" member.

      Also, a response will be returned that matches the desiredResponse.

      Specified by:
        `handle` in interface `HttpRequestHandler`
      Parameters:
        `request` - the HTTP request.
        `response` - the HTTP response.
        `context` - the HTTP execution context.
      Throws:
        `HttpException` - in case of HTTP protocol violation or a processing problem.
        `IOException` - in case of an I/O error.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.